#include <TcpSocket.h>
#include <IEventOwner.h>
#include "MyEventHandler.h"


class MyEventSocket : public TcpSocket,public IEventOwner
{
public:
	MyEventSocket(ISocketHandler& h) : TcpSocket(h), IEventOwner( static_cast<MyEventHandler&>(h) )
	{
		SetLineProtocol(); // we want to receive line callbacks
	}

	void OnLine(const std::string& line)
	{
		if (line == "event")
		{
			// schedule an event 2 seconds ahead in time
			int id = static_cast<MyEventHandler&>(Handler()).AddEvent(this, 2, 0);
			Send("Scheduled event id " + Utility::l2string(id) + "\n");
		}
	}

	void OnEvent(int id)
	{
		Send("Event id " + Utility::l2string(id) + "\n");
	}
};

