//#include <stdio.h>

#include "ResumeSocket.h"




ResumeSocket::ResumeSocket(ISocketHandler& h)
:TcpSocket(h)
,m_b_connected(false)
{
	// initial connection timeout setting
	SetConnectTimeout(15);
}


ResumeSocket::~ResumeSocket()
{
}


void ResumeSocket::OnConnect()
{
	m_b_connected = true;
}


ResumeSocket *ResumeSocket::Reconnect()
{
	SocketAddress& ad = *GetClientRemoteAddress();
	ResumeSocket *p = new ResumeSocket(Handler());
	p -> SetDeleteByHandler();
	p -> Open(ad);
	Handler().Add(p);
	return p;
}


void ResumeSocket::OnConnectFailed()
{
	ResumeSocket *p = Reconnect();
	// modify connection timeout setting
	p -> SetConnectTimeout(5);
}


void ResumeSocket::OnDelete()
{
	if (m_b_connected)
	{
		Reconnect();
	}
}


